#ifndef IF_MCPCONSOLE_H
#define IF_MCPCONSOLE_H 1

#include <gtk/gtk.h>
#include "world.h"

typedef enum _mcpc_type {
  MCPC_IN,
  MCPC_OUT,
  MCPC_MSG
} mcpc_type;

GtkWidget *if_mcpconsole_create();
GtkTextTagTable *if_mcpconsole_get_tag_table();

void mcpconsole_init();
void mcpconsole_fini();

void mcpconsole_add(world *wld, mcpc_type mtype, gchar *msg);
void mcpconsole_add_world(world *wld);
#endif
