#ifndef IF_SCRIPTS_H
#define IF_SCRIPTS_H 1

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef HASRUBY
#  include <gtk/gtk.h>
#  include "world.h"

  typedef enum _scriptc_type {
    SCRIPTC_RUN,
    SCRIPTC_ERROR,
    SCRIPTC_MSG
  } scriptc_type;

  GtkWidget *if_scripts_create();

  void if_scripts_init();
  void if_scripts_fini();

  void if_scripts_add(scriptc_type mtype, gchar *msg);
  void if_scripts_update();
#endif
#endif
