#ifndef GNOE_PIXBUF_H
#define GNOE_PIXBUF_H 1

#include <gtk/gtk.h>
#include <glib.h>

typedef struct _pixbuf_info {
  gchar *name;
  int width;
  int height;
  GdkPixbuf *pixbuf;
} pixbuf_info;

void gnoe_pixbuf_init();
void gnoe_pixbuf_fini();

void gnoe_pixbuf_add_directory(const gchar * directory);

GdkPixbuf *gnoe_pixbuf_get(const gchar * filename);
GdkPixbuf *gnoe_pixbuf_get_at_size(const gchar * filename, int width, int height);

void gnoe_pixbuf_set_alpha(GdkPixbuf **pixs, guchar alpha);

#endif
