#ifndef MY_STRING_H
#define MY_STRING_H 1

#include <string.h>
#include <stdlib.h>

typedef struct _stringlist_item stringlist_item;
struct _stringlist_item {
  char *data;

  stringlist_item *next;
  stringlist_item *prev;
};

typedef struct _stringlist stringlist;
struct _stringlist {
  stringlist_item *firstItem;
  stringlist_item *lastItem;

  unsigned int count;
};

void stringlist_add(stringlist * strl, char *data);
void stringlist_remove(stringlist * strl, stringlist_item * removed);
stringlist *stringlist_create(char *argstr, char *delim);
void stringlist_destroy(stringlist * strl);
char *stringlist_glue_it(stringlist * strl, char *glue);

int mystring_to_int(char *str, int *result);
char *mystring_catn(char *str, char *add, unsigned int n);
char *mystring_cat(char *str, char *add);
char *mystring_trim(char *str);
void mystring_remove_char(char *str, char rem);

#endif
